Subject: [alpine-aports] Re: texlive on alpine

From: Isaac Dunham <[email-masked]>
Date: Sat, 31 Oct 2015 21:15:39 -0700

On Sat, Oct 31, 2015 at 06:05:56AM -0200, Marc Collin wrote:
> Good morning Mister Dunham.
> 
> texlive is a very important package for many people, but it's
> currently broken on alpine linux and C. Landmeter isn't interested in
> fixing it.
> Do you believe you could have a look at it, please?

Well....the big problem I have is disk space (and bandwidth, to a lesser
degree.)

The root problem is that texlive-20150523-texmf is also needed.
There are also a couple other packages possibly of some use; all can be
found in ftp://tug.org/historic/systems/texlive/2015/

But testing a solution is not viable until I delete a *lot* of stuff, and
repartition my hard drive.
The texmf tar.xz runs ~1.8 gigabytes, and extracts to about 4 gigabytes.
If I'm understanding correctly, the texmf-dist/ directory (ie, all of that)
needs to be copied/moved to /usr/share/texmf-dist/.
So to build a package for Alpine, I'd need ~12 gigabytes of disk space
unless I do some hacks like moving files over instead of copying or using
hard links in the install directory (which would shrink it to ~8-9
gigabytes of space required).
To test, I'd need at least 6 gigabytes (2 for the apk, 4 for the install).

At present, Alpine occupies a roughly 12-gigabyte partition on my hard
drive; that's 93% used, including the tarball for texmf.
(And the tarball takes 3+ hours to download here, at 1.5 Mbit/s.)

> Steps to reproduce:
> apk add texlive@testing
> echo '\documentclass{article} \begin{document} TEST \end{document}' >> test.tex
> try compiling test.tex
> 
> It doesn't work and this leaves lots of people on the limbo, unable to
> use this day-to-day tool that is latex. I use it for everything,
> articles, beamer presentations, etc. Really a drawback on alpine.
> 
> Let me know if you find the time to have a look at it. Thanks a lot.
> 
> Best wishes,
> Marc

Hope this helps,
Isaac Dunham

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---